package upload

import (
	"os"
	"testing"
)

func TestUploader_GetFingerprint(t *testing.T) {
	path := "../../testdata/chet.mp3"
	stat, _ := os.Stat(path)
	info := NewFileInfo(path, stat)
	info.Meta["mime-type"] = "audio/mpeg"

	_, err := GetFingerprint(info)
	if err != nil {
		t.Fatalf("getFingerprint() returned error: %s", err.Error())
	}
}
