package actions

import (
	"io"

	"git.autistici.org/ale/djrandom/api"
)

// TimbreAnalysisAction computes the timbre fingerprint of a song.
type TimbreAnalysisAction struct {
	*SongActionBase
}

func (a *TimbreAnalysisAction) HandleSong(song *api.Song, log io.Writer) error {
	// No further processing.
	return nil
}

func init() {
	RegisterSongAction(
		"timbre_analysis",
		func(base *SongActionBase) SongAction {
			return &TimbreAnalysisAction{base}
		})
}
