package frontend

type NavLink struct {
	Name    string
	Title   string
	Link    string
	Current bool
}

type templateContext struct {
	NavLinks []NavLink
	AuthUser string
}

func newTemplateContext(curPage string, r *djRequest) *templateContext {
	var t templateContext
	if r != nil {
		t.NavLinks = []NavLink{
			{"index", "Play", "/", (curPage == "index")},
			{"about", "About", "/about", (curPage == "about")},
			{"user", r.AuthUser, "/user", (curPage == "user")},
		}
		t.AuthUser = r.AuthUser
	}
	return &t
}
