package util

import (
	"bytes"
	"os/exec"
)

func GetMimeTypeOfFile(path string) (string, error) {
	out, err := exec.Command("file", "--brief", "--mime-type", path).Output()
	if err != nil {
		return "", err
	}
	out = bytes.TrimRight(out, "\n")
	return string(out), nil
}
